Bug 973636 - 2013-06-11 upstream stage fixes
2013-06-11 upstream stage fixes
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 07:46 EDT by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:47:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-12 07:46:44 EDT
Description of problem:
This is a tracker bug for the following upstream/stage commits to origin-server:

commit 12342525b70429448842ef4500eb66bcf17e948f
Author: Paul Morie <pmorie@gmail.com>
Date:   Tue Jun 11 15:08:49 2013 -0400

    Add CartridgeRepository.latest_versions for use in rhc cartridge list
Comment 2 Gaoyun Pei 2013-06-19 03:29:12 EDT
Checked the code changes corresponds with the following git commits to origin-server on OpenShiftEnterprise 1.2 RC1, all of them have been merged into enterprise, so verify this bug

commit 12342525b70429448842ef4500eb66bcf17e948f
Author: Paul Morie <pmorie@gmail.com>
Date:   Tue Jun 11 15:08:49 2013 -0400

    Add CartridgeRepository.latest_versions for use in rhc cartridge list

node/lib/openshift-origin-node/model/cartridge_repository.rb

300     def latest_versions
301       cartridges = Set.new
302       @index.each_pair do |_, sw_hash|
303         sw_hash.each_pair do |_, cart_version_hash|
304           latest_version = cart_version_hash.keys.sort.last
305           cartridges.add(cart_version_hash[latest_version])
306         end
307       end
308 
309       if block_given?
310         cartridges.each { |c| yield c }
311       end
312 
313       cartridges
314     end

node/lib/openshift-origin-node/model/node.rb

 48       else
 49         CartridgeRepository.instance.latest_versions do |cartridge|
Comment 3 Luke Meyer 2013-06-28 11:47:44 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.